
From: "Andi Kleen" <ak@suse.de>

Most of them can never be triggered and were only for development.

Signed-off-by: "Andi Kleen" <ak@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 mm/mempolicy.c |    6 ------
 1 files changed, 6 deletions(-)

diff -puN mm/mempolicy.c~remove-near-all-bugs-in-mm-mempolicyc mm/mempolicy.c
--- devel/mm/mempolicy.c~remove-near-all-bugs-in-mm-mempolicyc	2005-09-10 14:33:19.000000000 -0700
+++ devel-akpm/mm/mempolicy.c	2005-09-10 14:33:19.000000000 -0700
@@ -185,7 +185,6 @@ static struct zonelist *bind_zonelist(no
 				policy_zone = k;
 		}
 	}
-	BUG_ON(num >= max);
 	zl->zones[num] = NULL;
 	return zl;
 }
@@ -708,7 +707,6 @@ static unsigned interleave_nodes(struct 
 	struct task_struct *me = current;
 
 	nid = me->il_next;
-	BUG_ON(nid >= MAX_NUMNODES);
 	next = next_node(1+nid, policy->v.nodes);
 	if (next >= MAX_NUMNODES)
 		next = first_node(policy->v.nodes);
@@ -730,7 +728,6 @@ static unsigned offset_il_node(struct me
 		nid = next_node(nid+1, pol->v.nodes);
 		c++;
 	} while (c <= target);
-	BUG_ON(nid >= MAX_NUMNODES);
 	return nid;
 }
 
@@ -741,7 +738,6 @@ static struct page *alloc_page_interleav
 	struct zonelist *zl;
 	struct page *page;
 
-	BUG_ON(!node_online(nid));
 	zl = NODE_DATA(nid)->node_zonelists + (gfp & GFP_ZONEMASK);
 	page = __alloc_pages(gfp, order, zl);
 	if (page && page_zone(page) == zl->zones[0]) {
@@ -784,8 +780,6 @@ alloc_page_vma(unsigned int __nocast gfp
 		unsigned nid;
 		if (vma) {
 			unsigned long off;
-			BUG_ON(addr >= vma->vm_end);
-			BUG_ON(addr < vma->vm_start);
 			off = vma->vm_pgoff;
 			off += (addr - vma->vm_start) >> PAGE_SHIFT;
 			nid = offset_il_node(pol, vma, off);
_
